@charset "utf-8";
header {
  background: rgba(255, 255, 255, 0.8);
  position: fixed;
  width: 100%;
  padding-left: max(128px, 8.89vw);
  z-index: 3;
  transition: opacity 0.3s;
}
header.has-shadow {
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s ease;
}

.header__inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  height: 97px;
  padding-right: max(319px, 22.15vw);
}
.header__logo {
  width: 25.83vw;
  min-width: 372px;
  position: relative;
  z-index: 10;
}
.header__logo a {
  padding-top: 10px;
}
#g-nav .g-nav__inner {
  display: flex;
}
#g-nav .g-nav__list {
  font-size: max(14px, 0.97vw);
  line-height: 1.75;
  letter-spacing: 0.1em;
  font-feature-settings: "palt";
  display: flex;
  flex-shrink: 0;
  gap: 1.5em min(1.8vw, 20px);
}
#g-nav .g-nav__item {
  display: flex;
  align-items: center;
}
#g-nav .g-nav__item a {
  padding-top: 20px;
}

#g-nav .g-nav__item.np a,
#g-nav .g-nav__item a:hover {
  color: #004896;
}
#g-nav .g-nav__list .sp_nav {
  display: none;
}
.g-nav__btn_bk {
  display: flex;
  height: 100%;
  position: absolute;
  top: 0;
  right: 0;
}
.g-nav__btn_bk a {
  color: #004896;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}
.g-nav__btn_bk .header__tel {
  font-size: 24px;
  font-size: max(24px, 1.67vw);
  line-height: 1;
  width: 8em;
  padding-top: 17px;
}
.g-nav__btn_bk .header__contact {
  font-size: max(14px, 0.97vw);
  line-height: 1.75;
  letter-spacing: 0.1em;
  flex-direction: column;
  gap: 0.5em;
  width: 6.93em;
  transition: 0.3s;
}
.g-nav__btn_bk .header__contact::before {
  content: "";
  width: 1.39em;
  height: 1em;
  background: url(../imgs/common/mail_bl.svg) no-repeat center/contain;
  transition: 0.3s;
}
.g-nav__btn_bk .header__contact:hover,
.g-nav__btn_bk .header__contact.np {
  color: #fff;
  background-color: #004896;
}
.g-nav__btn_bk .header__contact:hover::before,
.g-nav__btn_bk .header__contact.np::before {
  background: url(../imgs/common/mail_wh.svg) no-repeat center/contain;
}

.sp__txt {
  /* font-size:16px; */
  font-size: clamp(12px, 2.6vh, 1.11vw);
  letter-spacing: 0.1em;
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
  position: absolute;
  top: 81px;
  right: 5.33vw;
  display: none;
}

.openbtn {
  position: relative; /*ボタン内側の基点となるためrelativeを指定*/
  background: transparent;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 5px;
}
/*ボタン内側*/
.openbtn .openbtn-area {
  transition: all 0.4s;
}

.openbtn span {
  display: inline-block;
  transition: all 0.4s; /*アニメーションの設定*/
  position: absolute;
  left: 14px;
  height: 3px;
  border-radius: 2px;
  background: #004896;
  width: 45%;
}

.openbtn span:nth-of-type(1) {
  top: 15px;
}

.openbtn span:nth-of-type(2) {
  top: 23px;
}

.openbtn span:nth-of-type(3) {
  top: 31px;
}

/*activeクラスが付与されると
線と周りのエリアが回転して×になる*/

.openbtn.active .openbtn-area {
  transform: rotateY(-360deg);
}

.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-135deg);
}

.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(135deg);
}
.openbtn {
  display: none;
}
@media screen and (max-width: 1440px) {
  header {
    padding-left: 2vw;
  }
  .header__inner {
    max-width: 1312px;
    margin: 0 0 0 auto;
    padding-right: calc(289px + 2vw);
  }
}
@media screen and (max-width: 1200px) {
  .header__inner {
    flex-direction: column;
    justify-content: center;
  }
  #g-nav .g-nav__item a {
    padding-top: 0;
  }
}

@media screen and (max-width: 768px) {
  /* ======================
	header
	========================= */
  header {
    padding: 10px 2vw;
  }
  .header__logo {
    width: calc(100% - 60px);
    max-width: 220px;
    min-width: initial;
  }
  .header__logo a {
    padding: 0;
  }
  .header__logo .pc {
    display: none;
  }
  .header__logo .sp {
    display: block;
  }
  .header__inner {
    width: 100%;
    height: auto;
    flex-direction: row;
    justify-content: space-between;
    padding-right: 0;
  }
  #g-nav {
    width: 100vw;
    height: 100svh;
    position: fixed;
    inset: 0;
    top: 0;
    left: 120%;
    transition: all 0.6s;
    border: none;
    background: #fff;
  }
  #g-nav.panelactive {
    top: 0;
    left: 0;
  }
  #g-nav .g-nav__inner {
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
    padding-top: 80px;
    overflow: hidden;
    position: absolute;
    bottom: 0;
  }
  #g-nav .g-nav__list {
    flex-direction: column;
    flex: 1;
    width: 100%;
    max-width: 225px;
    height: calc(100% - 130px);
    padding-top: 13px;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
  }
  #g-nav .g-nav__list .sp_nav {
    display: block;
  }
  /* .g-nav__btn_bk {
    flex-shrink: 0;
    flex-direction: column;
    width: 100%;
    height: auto;
    position: static;
  }
  .g-nav__btn_bk .header__tel,
  .g-nav__btn_bk .header__contact {
    padding-top: 0;
    width: 100%;
    height: auto;
    padding: 20px;
  } */
  .g-nav__btn_bk {
    display: none;
  }
  .sp__txt {
    display: block;
  }

  .openbtn {
    display: block !important;
    z-index: 9999;
  }
}
